<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%--
Disclaimer: 
The following [enclosed] code is sample code created by IBM 
Corporation. This sample code is not part of any standard IBM product 
and is provided to you solely for the purpose of assisting you in the 
development of your applications. The code is provided 'AS IS', 
without warranty or condition of any kind. IBM shall not be liable for any damages 
arising out of your use of the sample code, even if IBM has been 
advised of the possibility of such damages.
--%>

<HTML>
<HEAD>

<%@ page language="java" contentType="text/html; charset=ISO-8859-1" %>
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<META name="GENERATOR" content="IBM WebSphere Studio">
<META http-equiv="Content-Style-Type" content="text/css">

<%@taglib uri="/WEB-INF/c.tld" prefix="c"%>
<%@taglib uri="/WEB-INF/websitedesigner.tld" prefix="siteedit" %>
<%@page errorPage="/site-comp/shared/error.jsp" %>
<%@include file="/site-comp/shared/website_constants.jspf"  %> 

<jsp:useBean scope="page" id="newsCol" class="com.ibm.etools.siteedit.samplebeans.common.CatalogBean"/>
<%  String catalogFile = pageContext.getServletContext().getRealPath("/site-comp/parts/news/news.catalog"); %>
<jsp:setProperty name="newsCol" property="file" value="<%= catalogFile %>"/>
<%	newsCol.setCollection(newsCol.getItems()); %>
<jsp:setProperty name="newsCol" property="collectionIndex" value="0"/>
<c:set var="topNews" value="${newsCol.collectionDataByIndex}"/>

<TITLE>News Index</TITLE>
<LINK rel="stylesheet" type="text/css" id="website_style"
	href="site-comp/style/site.css">
</HEAD>
<BODY>
<siteedit:layout>
<siteedit:layoutarea id="body">
<TABLE border="0" width="100%">
    <TBODY>
        <TR><TD align="left"><A href="<c:out value='${topNews.data1}'/>"><IMG src="<c:out value='${topNews.data3}'/>" alt="<c:out value='${topNews.data4}'/>" border="0"></A></TD></TR>
        <TR><TD><H3><c:out value="${topNews.data4}"/></H3></TD></TR>
        <TR><TD>(Updated <c:out value="${topNews.data2}"/>)</TD></TR>
        <TR><TD><A href="<c:out value='${topNews.data1}'/>"> &gt;&gt;FULL STORY</A></TD></TR>
		<TR><TD><hr></TD></TR>
        <TR><TD><B><FONT size="+1">News Sources</FONT></B></TD></TR>
        <TR><TD><B><FONT size="+1">Category A&nbsp;<A href="newscategoryA.jsp">&gt;&gt;</A></FONT></B></TD></TR>
        <TR><TD>
            <UL>
                <jsp:setProperty name="newsCol" property="category" value="CATEGORY A"/>
                <c:forEach var="catItem" items="${newsCol.itemsByCategory}" begin="0" end="3">
                  <li><c:out value="${catItem.data4}" default="News title in CATEGORY1"/>&nbsp;&nbsp;(Updated <c:out value="${catItem.data2}" default="Date and Time"/>)
                </c:forEach>
            </UL></TD></TR>
        <TR><TD><B><FONT size="+1">Category B&nbsp;<A href="newscategoryB.jsp">&gt;&gt;</A></FONT></B></TD></TR>
        <TR><TD>
            <UL>
                <jsp:setProperty name="newsCol" property="category" value="CATEGORY B"/>
                <c:forEach var="catItem" items="${newsCol.itemsByCategory}" begin="0" end="3">
                  <li><c:out value="${catItem.data4}" default="News title in CATEGORY2"/>&nbsp;&nbsp;(Updated <c:out value="${catItem.data2}" default="Date and Time"/>)
                </c:forEach>
            </UL></TD></TR>
        <TR><TD><B><FONT size="+1">Category C&nbsp;<A href="newscategoryC.jsp">&gt;&gt;</A></FONT></B></TD></TR>
        <TR><TD>
            <UL>
                <jsp:setProperty name="newsCol" property="category" value="CATEGORY C"/>
                <c:forEach var="catItem" items="${newsCol.itemsByCategory}" begin="0" end="3">
                  <li><c:out value="${catItem.data4}" default="News title in CATEGORY3"/>&nbsp;&nbsp;(Updated <c:out value="${catItem.data2}" default="Date and Time"/>)
                </c:forEach>
            </UL>
        </TD></TR>
        <TR><TD>Listed of latest 3 items from each category.</TD></TR>
		<TR><TD><hr></TD></TR>
        <TR><TD>This page content is stored in the news.catalog file.<BR>If you want to edit the categories and items, please edit the news.catalog file.</TD></TR>
    </TBODY>
</TABLE>
</siteedit:layoutarea>
</siteedit:layout>
</BODY>
</HTML>