<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%--
Disclaimer: 
The following [enclosed] code is sample code created by IBM 
Corporation. This sample code is not part of any standard IBM product 
and is provided to you solely for the purpose of assisting you in the 
development of your applications. The code is provided 'AS IS', 
without warranty or condition of any kind. IBM shall not be liable for any damages 
arising out of your use of the sample code, even if IBM has been 
advised of the possibility of such damages.
--%>

<HTML>
<HEAD>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1" %>
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<META name="GENERATOR" content="IBM WebSphere Studio">
<META http-equiv="Content-Style-Type" content="text/css">

<%@taglib uri="/WEB-INF/c.tld" prefix="c"%>
<%@taglib uri="/WEB-INF/websitedesigner.tld" prefix="siteedit" %>
<%@page errorPage="site-comp/shared/error.jsp" %>
<%@include file="/site-comp/shared/website_constants.jspf"  %> 

<jsp:useBean scope="page" id="newsCol" class="com.ibm.etools.siteedit.samplebeans.common.CatalogBean"/>
<%  String catalogFile = pageContext.getServletContext().getRealPath("/site-comp/parts/news/news.catalog"); %>
<jsp:setProperty name="newsCol" property="file" value="<%= catalogFile %>"/>
<%	newsCol.setCollection(newsCol.getItems()); %>
<jsp:setProperty name="newsCol" property="collectionIndex" value="0"/>
<c:set var="topNews" value="${newsCol.collectionDataByIndex}"/>

<TITLE>Home</TITLE>
<LINK rel="stylesheet" type="text/css" id="website_style"
	href="/site-comp/style/site.css">
</HEAD>
<BODY>
<siteedit:layout>
<siteedit:layoutarea id="body">
<TABLE border="0" width="100%">
    <TBODY>
        <TR><TD align="left"><A href="site-comp/parts/news/<c:out value='${topNews.data1}'/>"><IMG src="<c:out value='site-comp/parts/news/${topNews.data3}'/>" alt="<c:out value='${topNews.data4}'/>" border="0"></A></TD></TR>
        <TR><TD><H3><c:out value="${topNews.data4}"/></H3></TD></TR>
        <TR><TD>(Updated <c:out value="${topNews.data2}"/>)</TD></TR>
        <TR><TD><A href="site-comp/parts/news/<c:out value="${topNews.data1}"/>"> &gt;&gt;FULL STORY</A></TD></TR>
        <TR><TD><H3>Latest News</H3></TD></TR>
        <TR><TD><H4>CATEGORY A<A href="site-comp/parts/news/newscategoryA.jsp"> &gt;&gt;</A></H4></TD></TR>
        <TR><TD>
            <jsp:setProperty name="newsCol" property="category" value="CATEGORY A"/>
            <UL><c:forEach var="catItem" items="${newsCol.itemsByCategory}" begin="0" end="0">
              <li><c:out value="${catItem.data4}" default="News title"/></li>
            </c:forEach></UL></TD></TR>
        <TR><TD><H4>CATEGORY B<A href="site-comp/parts/news/newscategoryB.jsp"> &gt;&gt;</A></H4></TD></TR>
        <TR><TD>
            <jsp:setProperty name="newsCol" property="category" value="CATEGORY B"/>
            <UL><c:forEach var="catItem" items="${newsCol.itemsByCategory}" begin="0" end="0">
              <li><c:out value="${catItem.data4}" default="News title"/></li>
            </c:forEach></UL></TD></TR>
        <TR><TD><H4>CATEGORY C<A href="site-comp/parts/news/newscategoryC.jsp"> &gt;&gt;</A></H4></TD></TR>
        <TR><TD>
            <UL><c:forEach var="catItem" items="${newsCol.itemsByCategory}" begin="0" end="0">
              <li><c:out value="${catItem.data4}" default="News title"/></li>
            </c:forEach></UL></TD></TR>
        <TR><TD><HR></TD></TR>
        <TR><TD>This page content is stored in the news.catalog file.<BR>If you want to edit the categories and items, please edit the news.catalog file.</TD></TR>
    </TBODY>
</TABLE>
</siteedit:layoutarea>
</siteedit:layout>
</BODY>
</HTML>