<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%--
Disclaimer: 
The following [enclosed] code is sample code created by IBM 
Corporation. This sample code is not part of any standard IBM product 
and is provided to you solely for the purpose of assisting you in the 
development of your applications. The code is provided 'AS IS', 
without warranty or condition of any kind. IBM shall not be liable for any damages 
arising out of your use of the sample code, even if IBM has been 
advised of the possibility of such damages.
--%>

<HTML>
<HEAD>

<%@ page language="java" contentType="text/html; charset=ISO-8859-1" %>
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<META name="GENERATOR" content="IBM WebSphere Studio">
<META http-equiv="Content-Style-Type" content="text/css">

<%@taglib uri="/WEB-INF/websitedesigner.tld" prefix="siteedit" %>
<%@taglib uri="/WEB-INF/c.tld" prefix="c"%>

<%@page errorPage="/site-comp/shared/error.jsp" %>
<%@include file="/site-comp/shared/website_constants.jspf"  %> 

<%-- Initlaize JavaBeans --%>
<jsp:useBean scope="page" id="companyCol" class="com.ibm.etools.siteedit.samplebeans.common.CatalogBean"/>
<%-- Set catalog file--%>
<% String catalogFile = pageContext.getServletContext().getRealPath("/site-comp/parts/company/press.catalog"); %>
<jsp:setProperty name="companyCol" property="file" value="<%=catalogFile%>"/>
<%-- Set Category (PressRelease)--%>
<jsp:setProperty name="companyCol" property="category" value="PressRelease"/>
<%-- Get collection of press releases in "PressRelease" category.--%>
<c:set var="pressItems" value="${companyCol.itemsByCategory}"/>

<TITLE>Press Release</TITLE>
<LINK rel="stylesheet" type="text/css" id="website_style"
	href="site-comp/style/site.css">
</HEAD>
<BODY>
<siteedit:layout>
	<siteedit:layoutarea id="body">
	<H3>Press Release</H3>
	<H4>Recent press releases</H4>
	<siteedit:colortable>
	<table border="0">
		<tr>
			<TH width="300">Date</TH>
			<TH width="280">Headlines</TH>
		</tr>
		<c:forEach var="item" items="${companyCol.itemsByCategory}">
		<tr>
			<td align="center"><c:out value="${item.data2}"/></td>
			<td><c:out value="${item.data4}" default="Press Release"/>&nbsp;<A href="<c:out value='${item.data1}'/>">&gt;&gt;</A></td>
		</tr>	
		</c:forEach>
	</table>
	</siteedit:colortable>
	<hr>
	This page content is stored in the press.catalog file.<BR>
	If you want to edit the categories and items, please edit the press.catalog file.
	</siteedit:layoutarea>
</siteedit:layout>
</BODY>
</HTML>
