<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%--
Disclaimer: 
The following [enclosed] code is sample code created by IBM 
Corporation. This sample code is not part of any standard IBM product 
and is provided to you solely for the purpose of assisting you in the 
development of your applications. The code is provided 'AS IS', 
without warranty or condition of any kind. IBM shall not be liable for any damages 
arising out of your use of the sample code, even if IBM has been 
advised of the possibility of such damages.
--%>

<HTML>
<HEAD>

<%@ page language="java" contentType="text/html; charset=ISO-8859-1" %>
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<META name="GENERATOR" content="IBM WebSphere Studio">
<META http-equiv="Content-Style-Type" content="text/css">

<%@taglib uri="/WEB-INF/c.tld" prefix="c"%>
<%@taglib uri="/WEB-INF/websitedesigner.tld" prefix="siteedit" %>
<%@page errorPage="/site-comp/shared/error.jsp" %>
<%@include file="/site-comp/shared/website_constants.jspf"  %> 

<jsp:useBean scope="page" id="newsCol" class="com.ibm.etools.siteedit.samplebeans.common.CatalogBean"/>
<%! String jspCategory = "CATEGORY C";%>
<%  String catalogFile = pageContext.getServletContext().getRealPath("/site-comp/parts/news/news.catalog"); %>
<jsp:setProperty name="newsCol" property="file" value="<%= catalogFile %>"/>
<jsp:setProperty name="newsCol" property="category" value="<%= jspCategory %>"/>

<TITLE>News Category C</TITLE>
<LINK rel="stylesheet" type="text/css" id="website_style"
	href="site-comp/style/site.css">
</HEAD>
<BODY>
<siteedit:layout>
<siteedit:layoutarea id="body">
<TABLE border="0" width="100%">
    <TBODY>
        <TR><TD><H3>News Sources [ Keyword : <%= jspCategory %> ]<H3></TD></TR>
        <TR><TD><HR></TD></TR>
       	<TR><TD><UL>
		<c:forEach var="catItem" items="${newsCol.itemsByCategory}">
			<li><A href="<c:out value='${catItem.data1}'/>">
				<c:out value="${catItem.data4}" default="News title in CATEGORY A"/>&nbsp;&nbsp;(Updated <c:out value="${catItem.data2}" default="Date and Time"/>)
				</A>
        </c:forEach></UL></TD></TR>
        <TR><TD>This page content is stored in the news.catalog file.<BR>If you want to edit the categories and items, please edit the news.catalog file.</TD></TR>
    </TBODY>
</TABLE>
</siteedit:layoutarea>
</siteedit:layout>
</BODY>
</HTML>
