<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%--
Disclaimer: 
The following [enclosed] code is sample code created by IBM 
Corporation. This sample code is not part of any standard IBM product 
and is provided to you solely for the purpose of assisting you in the 
development of your applications. The code is provided 'AS IS', 
without warranty or condition of any kind. IBM shall not be liable for any damages 
arising out of your use of the sample code, even if IBM has been 
advised of the possibility of such damages.
--%>

<HTML>
<HEAD>

<%@ page language="java" contentType="text/html; charset=ISO-8859-1" %>
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<META name="GENERATOR" content="IBM WebSphere Studio">
<META http-equiv="Content-Style-Type" content="text/css">

<%@taglib uri="/WEB-INF/c.tld" prefix="c"%>
<%@taglib uri="/WEB-INF/websitedesigner.tld" prefix="siteedit" %>
<%@page errorPage="/site-comp/shared/error.jsp" %>
<%@include file="/site-comp/shared/website_constants.jspf"  %> 

<jsp:useBean scope="page" id="productCol" class="com.ibm.etools.siteedit.samplebeans.common.CatalogBean"/>
<%! String prdCategory = "CATEGORY A";%>
<%  String catalogFile = pageContext.getServletContext().getRealPath("/site-comp/parts/product/product.catalog"); %>
<jsp:setProperty name="productCol" property="file" value="<%= catalogFile %>"/>
<jsp:setProperty name="productCol" property="category" value="<%= prdCategory %>"/>

<TITLE>Category A</TITLE>
<LINK rel="stylesheet" type="text/css" id="website_style"
	href="site-comp/style/site.css">
</HEAD>
<BODY>
<siteedit:layout>
<siteedit:layoutarea id="body">
<TABLE border="0" width="100%">
    <TBODY>
        <TR><TD><H3><%= prdCategory %></H3></TD></TR>
        <TR><TD>
        	<UL><c:forEach var="catItem" items="${productCol.itemsByCategory}">
              <li><A href="<c:out value='${catItem.data1}'/>">
              <c:out value="${catItem.data4}" default="Product Title"/></A>
            </c:forEach></UL></TD></TR>
        <TR><TD><hr></TD></TR>
        <TR><TD>This page content is stored in the product.catalog file.<BR>If you want to edit the categories and items, please edit the product.catalog file.</TD></TR>
    </TBODY>
</TABLE>
</siteedit:layoutarea>
</siteedit:layout>
</BODY>
</HTML>
