<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%--
Disclaimer: 
The following [enclosed] code is sample code created by IBM 
Corporation. This sample code is not part of any standard IBM product 
and is provided to you solely for the purpose of assisting you in the 
development of your applications. The code is provided 'AS IS', 
without warranty or condition of any kind. IBM shall not be liable for any damages 
arising out of your use of the sample code, even if IBM has been 
advised of the possibility of such damages.
--%>

<HTML>
<HEAD>

<%@ page language="java" contentType="text/html; charset=ISO-8859-1" %>
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<META name="GENERATOR" content="IBM WebSphere Studio">
<META http-equiv="Content-Style-Type" content="text/css">

<%@taglib uri="/WEB-INF/websitedesigner.tld" prefix="siteedit" %>
<%@taglib uri="/WEB-INF/c.tld" prefix="c"%>
<%@page errorPage="/site-comp/shared/error.jsp" %>
<%@include file="/site-comp/shared/website_constants.jspf"  %> 

<jsp:useBean scope="page" id="topCol" class="com.ibm.etools.siteedit.samplebeans.common.CatalogBean"/>
<%  String catalogFile = pageContext.getServletContext().getRealPath("/site-comp/parts/topsellers/topseller.catalog"); %>
<jsp:setProperty name="topCol" property="file" value="<%= catalogFile %>"/>

<TITLE>Top Sellers</TITLE>
<LINK rel="stylesheet" type="text/css" id="website_style"
	href="site-comp/style/site.css">
</HEAD>
<BODY>
<siteedit:layout>
<siteedit:layoutarea id="body">
<H3>Top Sellers</H3>
<HR>
<H4>New Items</H4>
<UL>
	<jsp:setProperty name="topCol" property="category" value="NEW"/>
    <c:forEach var="catItem" items="${topCol.itemsByCategory}">	
	<li><c:out value="${catItem.data1}" default="Item Name"/></li><BR>
	<c:out value="${catItem.data4}" default="Description"/></c:forEach>
</UL>
<HR>
<H4>Hot Items</H4>
<UL>
	<jsp:setProperty name="topCol" property="category" value="HOT"/>
    <c:forEach var="catItem" items="${topCol.itemsByCategory}">	
	<li><c:out value="${catItem.data1}" default="Item Name"/></li><BR>
	<c:out value="${catItem.data4}" default="Description"/></c:forEach>
</UL>
<HR>
<H4>Discount Items</H4>
<UL>
	<jsp:setProperty name="topCol" property="category" value="DISCOUNT"/>
    <c:forEach var="catItem" items="${topCol.itemsByCategory}">	
	<li><c:out value="${catItem.data1}" default="Item Name"/></li><BR>
	<c:out value="${catItem.data4}" default="Description"/></c:forEach>
</UL>
This page content is stored in the topseller.catalog file.<BR>If you want to edit the categories and items, please edit the topseller.catalog file.
</siteedit:layoutarea>
</siteedit:layout>
</BODY>
</HTML>
