<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%--
Disclaimer: 
The following [enclosed] code is sample code created by IBM 
Corporation. This sample code is not part of any standard IBM product 
and is provided to you solely for the purpose of assisting you in the 
development of your applications. The code is provided 'AS IS', 
without warranty or condition of any kind. IBM shall not be liable for any damages 
arising out of your use of the sample code, even if IBM has been 
advised of the possibility of such damages.
--%>

<HTML>
<HEAD>

<%@ page language="java" contentType="text/html; charset=ISO-8859-1" %>
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<META name="GENERATOR" content="IBM WebSphere Studio">
<META http-equiv="Content-Style-Type" content="text/css">

<%@taglib uri="/WEB-INF/websitedesigner.tld" prefix="siteedit" %>
<%@taglib uri="/WEB-INF/c.tld" prefix="c"%>
<%@page errorPage="site-comp/shared/error.jsp" %>

<%@include file="/site-comp/shared/website_constants.jspf"  %> 

<jsp:useBean scope="page" id="companyCol" class="com.ibm.etools.siteedit.samplebeans.common.CatalogBean"/>
<%  String catalogFile = pageContext.getServletContext().getRealPath("/site-comp/parts/company/press.catalog"); %>
<jsp:setProperty name="companyCol" property="file" value="<%= catalogFile %>"/>

<jsp:setProperty name="companyCol" property="category" value="TOP"/>
<%	companyCol.setCollection(companyCol.getItemsByCategory()); %>
<jsp:setProperty name="companyCol" property="collectionIndex" value="0"/>
<c:set var="topRelease" value="${companyCol.collectionDataByIndex}"/>

<jsp:setProperty name="companyCol" property="category" value="PressRoom"/>
<%	companyCol.setCollection(companyCol.getItemsByCategory()); %>
<jsp:setProperty name="companyCol" property="collectionIndex" value="0"/>
<c:set var="pressRoom" value="${companyCol.collectionDataByIndex}"/>

<TITLE>Home</TITLE>
<LINK rel="stylesheet" type="text/css" id="website_style"
	href="/site-comp/style/site.css">
</HEAD>
<BODY>
<siteedit:layout>
<siteedit:layoutarea id="body">
<TABLE border="0" width="100%">
    <TBODY>
        <TR><TD><A href="site-comp/parts/company/<c:out value="${topRelease.data1}"/>"><IMG src="site-comp/parts/company/<c:out value="${topRelease.data3}"/>" alt="<c:out value='${topRelease.data4}'/>" border="0"></A></TD></TR>
        <TR><TD><hr></TD></TR>
        <TR><TD>
			<H3>Press Releases</H3>
			<UL>
			<jsp:setProperty name="companyCol" property="category" value="PressRelease"/>
			<c:forEach var="press" items="${companyCol.itemsByCategory}" begin="0" end="2">
				<LI><A href="site-comp/parts/company/<c:out value="${press.data1}"/>"><c:out value="${press.data4}" default="Press Release"/></A>
			</c:forEach>
        	<LI><A href="site-comp/parts/company/<c:out value="${pressRoom.data1}"/>">More Press Release</A>
        	</UL>
        </TD></TR>
        <TR><TD>This page content is stored in the press.catalog file.<BR>If you want to edit the categories and items, please edit the press.catalog file.</TD></TR>        
    </TBODY>
</TABLE>
</siteedit:layoutarea>
</siteedit:layout>
</BODY>
</HTML>
