<?xml version="1.0" ?>
<xsl:stylesheet 
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
        xmlns:redirect="org.apache.xalan.xslt.extensions.Redirect"
        xmlns:wev-ext="ext1" 
        extension-element-prefixes="redirect wev-ext" version="1.0">

  <xsl:variable name="nl">
<xsl:text>
</xsl:text>
  </xsl:variable>

  <xsl:template name="buildCSS">
  <redirect:write select="concat($outputDir,'stylesheet.css')">
<xsl:text>/* wsdldoc style sheet */</xsl:text><xsl:value-of select="$nl"/>
<xsl:value-of select="$nl"/>
<xsl:text>/* Define colors, fonts and other style attributes here to override the defaults  */</xsl:text><xsl:value-of select="$nl"/>
<xsl:value-of select="$nl"/>
<xsl:text>/* Page background color */</xsl:text><xsl:value-of select="$nl"/>
<xsl:text>body { background-color: #FFFFFF }</xsl:text><xsl:value-of select="$nl"/>
<xsl:value-of select="$nl"/>
<xsl:text>/* Table colors */</xsl:text><xsl:value-of select="$nl"/>
<xsl:text>.TableHeadingColor     { background: #00CCCC } /* medium aqua */</xsl:text><xsl:value-of select="$nl"/>
<xsl:text>.TableSubHeadingColor  { background: #CCFFFF } /* light aqua */</xsl:text><xsl:value-of select="$nl"/>
<xsl:text>.TableRowColor         { background: #FFFFFF } /* white */</xsl:text><xsl:value-of select="$nl"/>
<xsl:value-of select="$nl"/>
<xsl:text>/* Font used in left-hand frame lists */</xsl:text><xsl:value-of select="$nl"/>
<xsl:text>.FrameTitleFont   { font-size: normal; font-family: normal }</xsl:text><xsl:value-of select="$nl"/>
<xsl:text>.FrameHeadingFont { font-size: normal; font-family: normal }</xsl:text><xsl:value-of select="$nl"/>
<xsl:text>.FrameItemFont    { font-size: normal; font-family: normal }</xsl:text><xsl:value-of select="$nl"/>
<xsl:value-of select="$nl"/>
<xsl:text>/* Example of smaller, sans-serif font in frames */</xsl:text><xsl:value-of select="$nl"/>
<xsl:text>/* .FrameItemFont  { font-size: 10pt; font-family: Helvetica, Arial, sans-serif } */</xsl:text><xsl:value-of select="$nl"/>
<xsl:value-of select="$nl"/>
<xsl:text>/* Navigation bar fonts and colors */</xsl:text><xsl:value-of select="$nl"/>
<xsl:text>.NavBarCell1    { background-color:#CCFFFF;}/* light aqua */</xsl:text><xsl:value-of select="$nl"/>
<xsl:text>.NavBarCell1Rev { background-color:#006666;}/* dark aqua */</xsl:text><xsl:value-of select="$nl"/>
<xsl:text>.NavBarFont1    { font-family: Arial, Helvetica, sans-serif; color:#000000;}</xsl:text><xsl:value-of select="$nl"/>
<xsl:text>.NavBarFont1Rev { font-family: Arial, Helvetica, sans-serif; color:#FFFFFF;}</xsl:text><xsl:value-of select="$nl"/>
<xsl:value-of select="$nl"/>
<xsl:text>.NavBarCell2    { font-family: Arial, Helvetica, sans-serif; background-color:#FFFFFF;}</xsl:text><xsl:value-of select="$nl"/>
  </redirect:write>
  </xsl:template>
                              
</xsl:stylesheet>
